echo "Welcome!"

file="/home/janis/projects/dotfiles/pc/vscode-extensions"
while read line; do
    vscodium --install-extension "${line}"
done < "${file}"

echo "\n==> VSCode Extensions installed\n"

cp -r ./pc/.config/* ~/.config
cp ./pc/.bashrc ~/.bashrc
cp ./pc/.bash_history ~/.bash_history

sudo cp ./pc/mkinitcpio.conf /etc/mkinitcpio.conf
sudo cp ./pc/environment /etc/environment
sudo cp ./pc/grub /etc/default/grub
sudo plymouth-set-default-theme -R bgrt

sudo mkinitcpio -P

cd /tmp
git clone https://github.com/rtlewis1/GTK
cd GTK/
git checkout Material-Black-Colors-Desktop
sudo cp -r ./Material-Black-Blueberry /usr/share/themes

cd /tmp
git clone https://github.com/sandesh236/monterey-grub-theme
cd monterey-grub-theme/
sudo ./install.sh
